Subject: Re: Questions and remarks on draft-ietf-sieve-include-01.txt

From: Arnt Gulbrandsen <[email-masked]>
Date: Tue, 14 Apr 2009 15:36:20 +0200

Aaron Stone answers Stephan Bosch:
>>  - Where the ManageSieve protocol specifies what characters are 
>>  allowed for a script name, the include extension for the Sieve 
>>  language does not. Would it be useful to adopt the same 
>>  limitations? Especially things like '/' can cause problems.
>
> Good suggestion. I think this makes sense to give a consistent opinion 
> on what script names should look like, but on the other hand, perhaps 
> it's possible that someone isn't using ManageSieve but IS using 
> include and might need to get at weird names? Do we care in that 
> case?

If so, then they probably will use managesieve at some point anyway.

>>  - The global command is required to follow 'require' or another 
>>  global command. I am worried what happens when other extensions 
>>  have commands with similar requirements. Shouldn't we account for 
>>  this eventuality?
>
> I don't like this restriction anyways. Any objection to lifting it?

(I don't feel qualified to have an opinion on this issue.)

>>  - The scope of the :once modifier could be a bit confusing. I am  
>>  assuming it holds for the whole Sieve execution and not only for 
>>  the identical include commands within the current script.
>
> Correct. Could you suggest how I might clarify that it's the whole 
> execution? I feel like I'm missing the right word for being inside 
> one file vs. being inside one delivery/execution instance.

I think that's enough of an issue that it's worth a whole sentence or two.

I like precise words. But sometimes you can be as precise as you want, 
and someone will read the text after being up half the night with the 
crying baby and won't get it.

Or zero words perhaps. Why is :once justified? is "mandatory :once" or 
":once not supported" good enough?

Arnt